// ===============================================================
// udemo.DemoPlaybackSpec: This is a spectator class ALWAYS used for demo playback.
// has hooks to control driver for speed changes, etc.
// ===============================================================

class DemoPlaybackSpec expands CHSpectator;

var DemoInterface Driver; //not the actual driver, but the interface to control it.
var PlayerPawn PlayerLinked; //player I am linked to for hud, etc. info.... (none in server demos!)
///////////////////////////
// EXEC COMMANDS:   (debug, etc.)
///////////////////////////
// Demo Pausing
function bool SetPause( BOOL bPause ){
  Driver.PauseDemo(bPause);
  return true;
}

//demo speed control
exec function SloMo( float T ){
  Driver.SetSpeed(T);
}

exec function CurTime(){
  clientmessage("Currently at"@Driver.GetCurrentTime()@"s");
}
exec function CurFrame(){
  clientmessage("Currently at frame #"@Driver.GetCurrentFrame());
}
exec function TotalTime(){
  clientmessage("Demo is"@Driver.GetTotalTime()$"s long");
}
exec function TotalFrames(){
  clientmessage("Demo consists of"@Driver.GetTotalFrames()@"frames");
}
exec function StartTime(){
  clientmessage("Demo's initial timestamp is "@Driver.GetStartTime());
}
exec function PlayBack(byte a){
  Driver.SetPlayBackMode(a);
  clientmessage("Demo is now playing back with type"@Driver.PlayBackMode);
}
exec function SeekTo(float T){    //goto passed time
  Driver.GotoFrame(T);
  CurTime();
}

defaultproperties {
  bAdmin=true
}
