// ============================================================
// udemo.UDComboListItem: list to also hold demo info (value 2 doesn't work for pointers ;p)
// allows analyzing to occur once per demo file.
// note sort weight is file size.  Value2 is directory I am in.
// ============================================================

class UDComboListItem expands UWindowComboListItem;
//important read/play stuff:
var bool Validated; //in refresh only.

//analysis caching
var DemoList Packages; //points to first real item of packages, NOT ITS SENTINEL!
var string MapName;  //map demo uses
var bool bServerDemo; //server demo?
var int NumFrames;  //amount of frames in demo
var float PlayTime;  //amount of PlayTime in Demo

function int Compare(UWindowList T, UWindowList B)
{
  local UWindowComboListItem TI, BI;
  local string TS, BS;

  TI = UWindowComboListItem(T);
  BI = UWindowComboListItem(B);

  TS = caps(TI.Value);
  BS = caps(BI.Value);

  if(TS == BS)
    return 0;

  if(TS < BS)
    return -1;

  return 1;
}
defaultproperties {
}
