// ============================================================
// udemo.udnative: By UsAaR33.  native class which allows the reader to get a list of demos and their sizes.
// also can delete demos and rename them, as well as a cool analysis :)
// Note, this was the first native class.  Now two otehrs exist in the udemo pacakge (as of ud 3.0).
// However, this is still the native class used by the actual manager windows.
// ============================================================

class udnative expands Object
native;

//internal vars
var const DemoRecDriver DemoDriver; //valid when reading
//File Functions:
native final function string getdemo(string path); //returns a demo/size (oh and maybe date in future?) path is where to search (full or from base)
native final static function bool kill(string file); //deletes a file (in this case a demo)
native final static function bool rename(string file, string newfile); //renames a file to a new name.

//misc file:
native final static function string BasePath(); //returns the base directory the DLL is in.
native final static function bool WriteDemoInfo(string DemoName, string contents); //writes DemoNameINFO.txt with contents. returns sucess.

//misc:
native final static function Player FindViewPort(); //super hack: RETURNS THE VIEWPORT!
native final static function byte DemoActive(level Xlevel); //checks ULevel's (aPawn->Xlevel) DemoRecDriver pointer. 0 if no, 1 if recording, 2 if playing
native final static function string GUIDString(GUID a);  //converts GUID to string :)
//checks if a given custom file has a non-desired GUID or gen. (gen fails if demos is > than file)
//0=passed. 1=bad gen; 2=bad guid; 3=cannot load??? //add pkg size check?
//REMOVED: Currently FileSize is only set to the file's size
native static final function byte IsMismatch(string FileName, GUID desiredGUID, int desiredGen/*, out int FileSize*/);
//Demo file Analysis:
native final function DemoRead(string file, level XLevel); //read demo information
native final function DispatchTick (float deltatime); //must propogate ticks to object :)
//called while demo being read:
event PackageRequired (string package, int size, bool Installed, GUID myGUID, int gen, bool Cached); //a required package
event DemoReadDone (string Map, bool bServerDemo, float Time, int NumFrames); //called when demo done being read.

defaultproperties {
}
