class UuDemoDriver;
class UDemoRecConnection;

//custom driver to support speed toggling, etc.
class UDEMO_API UuDemoDriver : public UDemoRecDriver
{
	DECLARE_CLASS(UuDemoDriver,UDemoRecDriver,CLASS_Transient|CLASS_Config,UDemo)
	//new vars:
	UBOOL			MessagePlay; //if true, tick 4ever!
	UDemoInterface * Interface; //uscript interface pointer
	float Speed;
	UBOOL Paused; //true if demo client has paused demo!
	FTime StartTime; //time when player joined?
	FTime TotalTime; //total time in demo.  		
	int TotalFrames; //total frames in demo
	float RealDilation; //the real time dilation!
	INT ServerFrameNum; //demo frame #
	FTime ServerPacketTime; //demo time
	void StaticConstructor();
	UBOOL bNoTick;
	UBOOL ClientHandled; //if client already handled!
	UuDemoDriver();
	
	//custom tick to support time control
	void TickDispatch( FLOAT DeltaTime );
	FTime ReadTo(FTime GoalTime, UBOOL bPacketRead = true); //read demo x ammount
	void getTime(); //um.. just something to get the time!
	ULevel* GetLevel(); //the assertion pissed me off
	//custom init connect for more options!
	UBOOL InitConnect( FNetworkNotify* InNotify, FURL& ConnectURL, FString& Error );
};

/*-----------------------------------------------------------------------------
	UAdvancedConnection.
-----------------------------------------------------------------------------*/

//
// Does little more than a different HandleClientPlayer()
// Also spawns the demo interface for the player.
class UDEMO_API UAdvancedConnection : public UDemoRecConnection
{
	DECLARE_CLASS(UAdvancedConnection,UDemoRecConnection,CLASS_Config|CLASS_Transient,Engine)
	NO_DEFAULT_CONSTRUCTOR(UAdvancedConnection)
	void StaticConstructor();
	UAdvancedConnection( UNetDriver* InDriver, const FURL& InURL );
	UuDemoDriver* GetDemoDriver(); //convienece function
	void HandleClientPlayer( APlayerPawn* Pawn );

};

class FByteWriter : public FArchive //this is here.. because I am too lazy to put it elsewhere!
{
public:
INT AddaItem( TArray<BYTE>*thing, const BYTE Item ) //POS!
	{
		guardSlow(AddaItem);
		int Indx=thing->AddZeroed(1);
		((BYTE*)thing->GetData())[Indx]=Item;
		return Indx;
		unguardSlow;
}
	FByteWriter()
	{
		ArIsSaving = 1;
	}
	void Process( BYTE T[256], INT Length ){
		for (int i=0;i<Length;i++)
			Pos=AddaItem(&Bytes,T[i]);
	}
	void Serialize( void* InData, INT Length )
	{
/*		if( Pos+Length>Bytes.Num() )
			Bytes.Add( Pos+Length-Bytes.Num() );
		for (int i=0;i<Length;i++){		
			Bytes(Pos) = ((BYTE*)T)[i];
			Pos++;
		}
		for (int i=0;i<Length;i++)
	//		Pos=AddaItem(&Bytes,T[i]);
*/
		if( Pos+Length>Bytes.Num() )
			Bytes.Add( Pos+Length-Bytes.Num() );
		if( Length == 1 )
			Bytes(Pos) = ((BYTE*)InData)[0];
		else
			appMemcpy( &Bytes(Pos), InData, Length );
		Pos += Length;
	}

	INT Tell()
	{
		//return Pos;
		return Bytes.Num();
	}
	void Seek( INT InPos )
	{
		Pos = InPos;
	}
	INT TotalSize()
	{
		return Bytes.Num();
	}
//private:
	TArray<BYTE> Bytes;
	INT Pos;
};